Ind Voter Id Ocr
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_voter_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id"
payload = {
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>', document2: '<string>', name: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_voter_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>',
'document2' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id"
payload := strings.NewReader("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_voter_id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_voter_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": [
"25859290-2a81-4327-b269-484fb17e76b9"
],
"message": [
"Document processed successfuly"
],
"data": {
"address": "string",
"age": "string",
"date_of_birth": "string",
"district": "string",
"fathers_name": "string",
"gender": "string",
"house_number": "string",
"id_number": "string",
"is_scanned": "string",
"name_on_card": "string",
"pincode": "string",
"state": "string",
"street_address": "string",
"year_of_birth": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}India
Voter
Voter Card OCR API lets you extract voter fields like voter_id, name, father name, dob, and address etc. from the image of a Voter Card document in the form of key-value pairs.
Base64 encoded string of the document needs to be passed in request payload.
POST
/
v1
/
documents
/
extraction
/
ind_voter_id
Ind Voter Id Ocr
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_voter_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id"
payload = {
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>', document2: '<string>', name: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_voter_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>',
'document2' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_voter_id"
payload := strings.NewReader("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_voter_id")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_voter_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": [
"25859290-2a81-4327-b269-484fb17e76b9"
],
"message": [
"Document processed successfuly"
],
"data": {
"address": "string",
"age": "string",
"date_of_birth": "string",
"district": "string",
"fathers_name": "string",
"gender": "string",
"house_number": "string",
"id_number": "string",
"is_scanned": "string",
"name_on_card": "string",
"pincode": "string",
"state": "string",
"street_address": "string",
"year_of_birth": "string"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
application/json
The main document being submitted for extraction of respective information.
The secondary document being submitted along with the primary document for extraction of respective information.
The name of the document being submitted for extraction of respective information.